PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
plask::LeafCacheNode< DIMS > Struct Template Reference
Inheritance diagram for plask::LeafCacheNode< DIMS >:
[legend]
Collaboration diagram for plask::LeafCacheNode< DIMS >:
[legend]

## Public Types
typedef std::vector< shared_ptr< const Translation< DIMS > > > | ChildVectorT
| Type of the vector holding container children.

## Public Member Functions
| LeafCacheNode (const std::vector< GeometryObjectBBox< DIMS > > &children_with_bb)
| LeafCacheNode (const std::vector< shared_ptr< Translation< DIMS > > > &childr)
shared_ptr< Material > | getMaterial (const Vec< DIMS > &p) const override
bool | contains (const Vec< DIMS > &p) const override
GeometryObject::Subtree | getPathsAt (shared_ptr< const GeometryObject > caller, const Vec< DIMS > &point, bool all) const override
Public Member Functions inherited from plask::SpatialIndexNode< DIMS >
virtual | ~SpatialIndexNode ()

## Public Attributes
ChildVectorT | children

## Detailed Description

template<int DIMS>
struct plask::LeafCacheNode< DIMS >

Definition at line 54 of file spatial_index.cpp.

## Member Typedef Documentation

## ◆ ChildVectorT

template<int DIMS>

typedef std::vector< shared_ptr<const Translation<DIMS> > > plask::LeafCacheNode< DIMS >::ChildVectorT

Type of the vector holding container children.

Definition at line 57 of file spatial_index.cpp.

## Constructor & Destructor Documentation

## ◆ LeafCacheNode() [1/2]

template<int DIMS>

plask::LeafCacheNode< DIMS >::LeafCacheNode | ( | const std::vector< GeometryObjectBBox< DIMS > > & | children_with_bb | ) |
| inline

Definition at line 61 of file spatial_index.cpp.

## ◆ LeafCacheNode() [2/2]

template<int DIMS>

plask::LeafCacheNode< DIMS >::LeafCacheNode | ( | const std::vector< shared_ptr< Translation< DIMS > > > & | childr | ) |
| inline

Definition at line 67 of file spatial_index.cpp.

## Member Function Documentation

## ◆ contains()

template<int DIMS>

bool plask::LeafCacheNode< DIMS >::contains | ( | const Vec< DIMS > & | p | ) | const
| inline override virtual

Implements plask::SpatialIndexNode< DIMS >.

Definition at line 81 of file spatial_index.cpp.

## ◆ getMaterial()

template<int DIMS>

shared_ptr< Material > plask::LeafCacheNode< DIMS >::getMaterial | ( | const Vec< DIMS > & | p | ) | const
| inline override virtual

Implements plask::SpatialIndexNode< DIMS >.

Definition at line 73 of file spatial_index.cpp.

## ◆ getPathsAt()

template<int DIMS>

GeometryObject::Subtree plask::LeafCacheNode< DIMS >::getPathsAt | ( | shared_ptr< const GeometryObject > | caller,
|  | const Vec< DIMS > & | point,
|  | bool | all
| ) |  | const
| inline override virtual

Implements plask::SpatialIndexNode< DIMS >.

Definition at line 86 of file spatial_index.cpp.

## Member Data Documentation

## ◆ children

template<int DIMS>

ChildVectorT plask::LeafCacheNode< DIMS >::children

Definition at line 59 of file spatial_index.cpp.

The documentation for this struct was generated from the following file:

- plask/geometry/spatial_index.cpp